Ear (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: Ear

Package org.apache.tools.ant.taskdefs

# Class Ear

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.MatchingTask
org.apache.tools.ant.taskdefs.Zip
org.apache.tools.ant.taskdefs.Jar
org.apache.tools.ant.taskdefs.Ear

All Implemented Interfaces:
  `java.lang.Cloneable`, `SelectorContainer`

    public class Ear
    extends Jar

Creates a EAR archive. Based on WAR task

Since:
  Ant 1.4

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.Jar

  `Jar.FilesetManifestConfig, Jar.StrictMode`

  ## Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.Zip

  `Zip.ArchiveState, Zip.Duplicate, Zip.UnicodeExtraField, Zip.WhenEmpty, Zip.Zip64ModeAttribute`

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.taskdefs.Zip

  `addedDirs, archiveType, doubleFilePass, duplicate, emptyBehavior, entries, skipWriting, zipFile`

  ### Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask

  `fileset`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Ear()` | Create an Ear task.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addArchives​(ZipFileSet fs)` | Adds zipfileset.
  `protected void` | `cleanUp()` | Make sure we don't think we already have a application.xml next time this task gets executed.
  `protected void` | `initZipOutputStream​(ZipOutputStream zOut)` | Initialize the output stream.
  `void` | `setAppxml​(java.io.File descr)` | File to incorporate as application.xml.
  `void` | `setEarfile​(java.io.File earFile)` | Deprecated. since 1.5.x.
  `protected void` | `zipFile​(java.io.File file, ZipOutputStream zOut, java.lang.String vPath, int mode)` | Overridden from Zip class to deal with application.xml

  ### Methods inherited from class org.apache.tools.ant.taskdefs.Jar

  `addConfiguredIndexJars, addConfiguredIndexJarsMapper, addConfiguredManifest, addConfiguredService, addMetainf, createEmptyZip, finalizeZipOutputStream, findJarName, getIndexJarsMapper, getResourcesToAdd, grabFilesAndDirs, reset, setFilesetmanifest, setFlattenAttributes, setIndex, setIndexMetaInf, setJarfile, setManifest, setManifestEncoding, setMergeClassPathAttributes, setStrict, setWhenempty, setWhenmanifestonly, writeIndexLikeList, zipFile`

  ### Methods inherited from class org.apache.tools.ant.taskdefs.Zip

  `add, addFileset, addParentDirs, addResources, addResources, addZipfileset, addZipGroupFileset, execute, executeMain, getComment, getCreateUnicodeExtraFields, getCurrentExtraFields, getDestFile, getEncoding, getFallBackToUTF8, getLevel, getModificationtime, getNonFileSetResourcesToAdd, getPreserve0Permissions, getResourcesToAdd, getUseLanguageEnodingFlag, getZip64Mode, grabNonFileSetResources, grabResources, hasUpdatedFile, isAddingNewFiles, isCompress, isEmpty, isFirstPass, isInUpdateMode, logWhenWriting, selectDirectoryResources, selectFileResources, selectResources, setBasedir, setComment, setCompress, setCreateUnicodeExtraFields, setCurrentExtraFields, setDestFile, setDuplicate, setEncoding, setFallBackToUTF8, setFile, setFilesonly, setKeepCompression, setLevel, setModificationtime, setPreserve0Permissions, setRoundUp, setUpdate, setUseLanguageEncodingFlag, setZip64Mode, setZipfile, zipDir, zipDir, zipDir, zipFile`

  ### Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

  `add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Ear

    public Ear()
    Create an Ear task.

- ## Method Details

  - ### setEarfile

    @Deprecated public void setEarfile​(java.io.File earFile)
    Deprecated.
    since 1.5.x. Use setDestFile(destfile) instead.
    Set the destination file.
    Parameters:
      `earFile` - the destination file

  - ### setAppxml

    public void setAppxml​(java.io.File descr)
    File to incorporate as application.xml.
    Parameters:
      `descr` - the descriptor file

  - ### addArchives

    public void addArchives​(ZipFileSet fs)
    Adds zipfileset.
    Parameters:
      `fs` - zipfileset to add

  - ### initZipOutputStream

    protected void initZipOutputStream​(ZipOutputStream zOut) throws java.io.IOException, BuildException
    Initialize the output stream.
    Overrides:
      `initZipOutputStream` in class `Jar`
    Parameters:
      `zOut` - the zip output stream.
    Throws:
      `java.io.IOException` - on I/O errors
      `BuildException` - on other errors

  - ### zipFile

    protected void zipFile​(java.io.File file, ZipOutputStream zOut, java.lang.String vPath, int mode) throws java.io.IOException
    Overridden from Zip class to deal with application.xml
    Overrides:
      `zipFile` in class `Zip`
    Parameters:
      `file` - the file to add to the archive
      `zOut` - the stream to write to
      `vPath` - the name this entry shall have in the archive
      `mode` - the Unix permissions to set.
    Throws:
      `java.io.IOException` - on error

  - ### cleanUp

    protected void cleanUp()
    Make sure we don't think we already have a application.xml next time this task gets executed.
    Overrides:
      `cleanUp` in class `Jar`
    See Also:
      `Zip.cleanUp()`